Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeProVP1000Mapper Class Reference

`#include <vtkVolumeProVP1000Mapper.h>`

Inheritance diagram for vtkVolumeProVP1000Mapper:

[legend]
Collaboration diagram for vtkVolumeProVP1000Mapper:

[legend]
List of all members.

## Detailed Description

Superclass for VP1000 board.

Date:
  2002/08/29 14:51:35

Revision:
  1.9

vtkVolumeProVP1000Mapper is the superclass for VolumePRO volume rendering mappers based on the VP1000 chip. Subclasses are for underlying graphics languages. Users should not create subclasses directly - a vtkVolumeProMapper will automatically create the object of the right type.

This class is not included in the Rendering CMakeLists by default. If you want to add this class to your vtk build, you need to have the vli header and library files, and you will need to perform the following steps:

1. Run cmake, and set the VTK_USE_VOLUMEPRO flag to true. 2. If the libary file (VLI_LIBRARY_FOR_VP1000) is not found by cmake, set the path to that file, and rerun cmake. 3. If the header file (VLI_INCLUDE_PATH_FOR_VP1000) is not found by cmake, set the path to that file, and rerun cmake. 4. Rebuild VTK.

For more information on the VolumePRO hardware, please see:

http://www.terarecon.com/3d_products.shtml

If you encounter any problems with this class, please inform Kitware, Inc. at kitware@kitware.com.

See also:
  vtkVolumeMapper vtkVolumeProMapper vtkOpenGLVolumeProVP1000Mapper

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (93%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeProVP1000Mapper.h)`
  - .`cxx` (`/Rendering/vtkVolumeProVP1000Mapper.cxx)`

Definition at line 78 of file vtkVolumeProVP1000Mapper.h.

## Public Types
typedef vtkVolumeProMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *, vtkVolume *)
virtual int | GetAvailableBoardMemory ()
virtual void | GetLockSizesForBoardMemory (unsigned int type, unsigned int *xSize, unsigned int *ySize, unsigned int *zSize)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeProVP1000Mapper * | SafeDownCast (vtkObject *o)
vtkVolumeProVP1000Mapper * | New ()
## Protected Methods
| vtkVolumeProVP1000Mapper ()
| ~vtkVolumeProVP1000Mapper ()
void | UpdateCamera (vtkRenderer *, vtkVolume *)
void | UpdateLights (vtkRenderer *, vtkVolume *)
void | UpdateProperties (vtkRenderer *, vtkVolume *)
void | UpdateVolume (vtkRenderer *, vtkVolume *)
void | UpdateCropping (vtkRenderer *, vtkVolume *)
void | UpdateCursor (vtkRenderer *, vtkVolume *)
void | UpdateCutPlane (vtkRenderer *, vtkVolume *)
virtual void | RenderImageBuffer (vtkRenderer *vtkNotUsed(ren), vtkVolume *vol, int size[2], unsigned int *outData)
virtual void | RenderBoundingBox (vtkRenderer *vtkNotUsed(ren), vtkVolume *vol)
virtual void | GetDepthBufferValues (vtkRenderer *vtkNotUsed(ren), int size[2], unsigned int *outData)
VLIStatus | CheckSubSampling (const VLIVolume *inVolume, const VLIContext *inContext, int &outImageWidth, int &outImageHeight)
## Protected Attributes
int | LoadedDataSize [3]
VLIImageBuffer * | ImageBuffer
VLIDepthBuffer * | DepthBuffer
int | DrawBoundingBox

## Member Typedef Documentation

typedef vtkVolumeProMapper vtkVolumeProVP1000Mapper::Superclass

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper. Definition at line 81 of file vtkVolumeProVP1000Mapper.h.

## Constructor & Destructor Documentation

vtkVolumeProVP1000Mapper::vtkVolumeProVP1000Mapper | ( |  | ) | `[protected]`

vtkVolumeProVP1000Mapper::~vtkVolumeProVP1000Mapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeProVP1000Mapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

int vtkVolumeProVP1000Mapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

virtual int vtkVolumeProVP1000Mapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

vtkVolumeProVP1000Mapper* vtkVolumeProVP1000Mapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

vtkVolumeProVP1000Mapper* vtkVolumeProVP1000Mapper::New | ( |  | ) | `[static]`

| Automatically create the proper subclass Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

virtual void vtkVolumeProVP1000Mapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVP1000Mapper.

virtual void vtkVolumeProVP1000Mapper::Render | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer Reimplemented from vtkVolumeProMapper.

virtual int vtkVolumeProVP1000Mapper::GetAvailableBoardMemory | ( |  | ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer Reimplemented from vtkVolumeProMapper.

virtual void vtkVolumeProVP1000Mapper::GetLockSizesForBoardMemory | ( | unsigned int | type,
|  | unsigned int * | xSize,
|  | unsigned int * | ySize,
|  | unsigned int * | zSize
| ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer

void vtkVolumeProVP1000Mapper::UpdateCamera | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateLights | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateProperties | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateVolume | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateCropping | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateCursor | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVP1000Mapper::UpdateCutPlane | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

virtual void vtkVolumeProVP1000Mapper::RenderImageBuffer | ( | vtkRenderer * | vtkNotUsed(ren),
|  | vtkVolume * | vol,
|  | int | size[2],
|  | unsigned int * | outData
| ) | `[inline, protected, virtual]`

| Definition at line 124 of file vtkVolumeProVP1000Mapper.h.

virtual void vtkVolumeProVP1000Mapper::RenderBoundingBox | ( | vtkRenderer * | vtkNotUsed(ren),
|  | vtkVolume * | vol
| ) | `[inline, protected, virtual]`

| Definition at line 132 of file vtkVolumeProVP1000Mapper.h.

virtual void vtkVolumeProVP1000Mapper::GetDepthBufferValues | ( | vtkRenderer * | vtkNotUsed(ren),
|  | int | size[2],
|  | unsigned int * | outData
| ) | `[inline, protected, virtual]`

| Definition at line 137 of file vtkVolumeProVP1000Mapper.h.

VLIStatus vtkVolumeProVP1000Mapper::CheckSubSampling | ( | const VLIVolume * | inVolume,
|  | const VLIContext * | inContext,
|  | int & | outImageWidth,
|  | int & | outImageHeight
| ) | `[protected]`

## Member Data Documentation

int vtkVolumeProVP1000Mapper::LoadedDataSize[3]`[protected]`

| Definition at line 152 of file vtkVolumeProVP1000Mapper.h.

VLIImageBuffer* vtkVolumeProVP1000Mapper::ImageBuffer`[protected]`

| Definition at line 154 of file vtkVolumeProVP1000Mapper.h.

VLIDepthBuffer* vtkVolumeProVP1000Mapper::DepthBuffer`[protected]`

| Definition at line 155 of file vtkVolumeProVP1000Mapper.h.

int vtkVolumeProVP1000Mapper::DrawBoundingBox`[protected]`

| Definition at line 161 of file vtkVolumeProVP1000Mapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeProVP1000Mapper.h